Package org.codehaus.groovy.tools.shell.util

# Class Preferences

java.lang.Object
org.codehaus.groovy.tools.shell.util.Preferences

public class Preferences extends Object
Container for shell preferences.

Author:
  Jason Dillon

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EDITOR_KEY`
`static final String`
`PARSER_FLAVOR_KEY`
`static final String`
`PARSER_RELAXED`
`static final String`
`PARSER_RIGID`
`static final String`
`SANITIZE_STACK_TRACE_KEY`
`static final String`
`SHOW_LAST_RESULT_KEY`
`static IO.Verbosity`
`verbosity`
`static final String`
`VERBOSITY_KEY`

## Constructor Summary

Constructors
Constructor
Description
`Preferences()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addChangeListener(PreferenceChangeListener listener)`
`static void`
`clear()`
`static String`
`get(String name)`
`static String`
`get(String name, String defaultValue)`
`static String`
`getEditor()`
`static String`
`getParserFlavor()`
`static boolean`
`getSanitizeStackTrace()`
`static boolean`
`getShowLastResult()`
`static String[]`
`keys()`
`static void`
`put(String name, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### verbosity

public static IO.Verbosity verbosity

### VERBOSITY_KEY

public static final String VERBOSITY_KEY

See Also:
  - Constant Field Values

### SHOW_LAST_RESULT_KEY

public static final String SHOW_LAST_RESULT_KEY

See Also:
  - Constant Field Values

### SANITIZE_STACK_TRACE_KEY

public static final String SANITIZE_STACK_TRACE_KEY

See Also:
  - Constant Field Values

### EDITOR_KEY

public static final String EDITOR_KEY

See Also:
  - Constant Field Values

### PARSER_FLAVOR_KEY

public static final String PARSER_FLAVOR_KEY

See Also:
  - Constant Field Values

### PARSER_RIGID

public static final String PARSER_RIGID

See Also:
  - Constant Field Values

### PARSER_RELAXED

public static final String PARSER_RELAXED

See Also:
  - Constant Field Values

## Constructor Details

### Preferences

public Preferences()

## Method Details

### getShowLastResult

public static boolean getShowLastResult()

### getSanitizeStackTrace

public static boolean getSanitizeStackTrace()

### getEditor

public static String getEditor()

### getParserFlavor

public static String getParserFlavor()

### keys

public static String[] keys() throws BackingStoreException

Throws:
  `BackingStoreException`

### get

public static String get(String name, String defaultValue)

### get

public static String get(String name)

### put

public static void put(String name, String value)

### clear

public static void clear() throws BackingStoreException

Throws:
  `BackingStoreException`

### addChangeListener

public static void addChangeListener(PreferenceChangeListener listener)